/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
*:focus {
  outline: 0;
  box-shadow: none;
}
/* ==|== non-semantic helper classes ======================================== */
.ir {
  display: block;
  border: 0;
  text-indent: -999em;
  overflow: hidden;
  background-color: transparent;
  background-repeat: no-repeat;
  text-align: left;
  direction: ltr;
}
.ir br {
  display: none;
}
.hidden {
  display: none !important;
  visibility: hidden;
}
.visuallyhidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  width: auto;
}
.invisible {
  visibility: hidden;
}
.clearfix:before,
.clearfix:after {
  content: "";
  display: table;
}
.clearfix:after {
  clear: both;
}
.clearfix {
  zoom: 1;
}
html {
  height: 100%;
}
body {
  background: #f3f3f3;
  font-family: 'Nunito', sans-serif;
  height: 100%;
  font-size: 16px;
  font-weight: 400;
  -webkit-text-size-adjust: none;
  line-height: 136%;
}
#wrapper {
  width: 960px;
  margin: 0 auto;
  min-height: 100%;
  height: auto !important;
  height: 100%;
  margin: 0 auto -42px;
  /* the bottom margin is the negative value of the footer's height */
}
header {
  background: #f35a5a;
  text-align: center;
  z-index: 10;
}
header.pos-fixed {
  position: fixed;
  left: 0px;
  right: 0px;
  top: 0px;
}
header .linkedin a {
  background: #ea3737;
  border-radius: 5px;
  padding: 3px 4px!important;
}
header .linkedin img {
  width: 20px;
}
nav {
  display: inline-block;
  padding: 20px 0px 16px 0px;
}
nav ul {
  margin-bottom: 0px;
  padding: 0px;
  opacity: 0;
}
nav ul li {
  float: left;
  list-style: none;
  margin-bottom: 5px;
  margin-left: 30px;
  text-align: right;
}
nav ul li:first-child {
  margin-left: 0px;
}
nav ul li a {
  border-radius: 3px;
  color: #fff;
  display: inline-block;
  font-size: 13px;
  font-weight: 600;
  padding: 8px 15px;
  text-decoration: none;
  text-transform: uppercase;
  transition: background 700ms;
  -webkit-transition: background 700ms;
}
nav ul li a.external {
  padding: 0px;
}
nav ul li a:hover {
  background: #f16b6e;
  text-decoration: none;
}
nav ul li a.external:hover {
  background: none;
}
nav ul li.current a {
  border-radius: 3px;
  background: #f68080;
}
#site-name {
  background: #222 url(../_images/coding.png) 0px 0px repeat;
  background-size: 325px;
  padding: 85px 0px;
  text-align: center;
}
#site-name .site-name-holder {
  opacity: 0;
}
#site-name h1 {
  font-family: "Pacifico";
  font-size: 62px;
  letter-spacing: 1px;
  margin-bottom: 10px;
  margin-top: 25px;
}
#site-name h1 a {
  color: #f35a5a;
}
#site-name h2 {
  color: #fff;
  font-size: 21px;
  font-weight: 400;
  margin-bottom: 0px;
  text-transform: uppercase;
}
section#bio {
  opacity: 0;
  padding-top: 50px;
}
section#bio img {
  display: block;
  margin: 0 auto 25px auto;
}
section#bio em {
  font-family: "Pacifico";
  font-size: 24px;
}
/* Home page - Work */
ul.work {
  list-style: none;
  margin-top: 40px;
}
ul.work li {
  float: left;
  width: 33%;
  background-repeat: no-repeat;
}
ul.work li a {
  display: block;
  padding-top: 170px;
  width: 245px;
  text-align: center;
  font-weight: bold;
  color: #000000;
}
ul.work li.jQuery a {
  margin: 0 auto;
}
ul.work li.email a {
  float: right;
}
/* Work */
div.work img {
  margin-right: 15px;
  margin-bottom: 15px;
  border: 1px solid #ffffff;
}
/* Resume */
#resume ul {
  margin-bottom: 30px;
}
#resume ul li {
  margin-bottom: 10px;
}
#resume .job-title {
  font-size: 15px;
  font-weight: 800;
  text-transform: uppercase;
}
#resume .job-details {
  border-bottom: 1px dotted #ccc;
  font-size: 14px;
}
#resume .job-title,
#resume .job-details {
  display: block;
}
/* Contact */
#contact {
  padding-bottom: 100px;
}
/* Footer */
footer {
  background: #262727;
  border-bottom: 2px solid #f35a5a;
  color: #ffffff;
  line-height: 40px;
  padding-top: 20px;
}
footer p {
  font-size: 12px;
  text-align: center;
}
/* Styleguide */
h1 {
  font-size: 38px;
  margin-bottom: 2px;
  letter-spacing: -1px;
  line-height: 100%;
}
h2 {
  font-size: 15px;
  font-weight: bold;
  margin-top: 0;
  margin-bottom: 25px;
}
section h2 {
  color: #f35a5a;
  font-size: 18px;
  font-weight: 700;
  padding: 10px 0px;
  text-align: center;
  text-transform: uppercase;
}
h3 {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 20px;
}
h4 {
  color: #222;
  font-size: 16px;
  font-weight: 800;
  margin-bottom: 20px;
}
h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover {
  text-decoration: none;
}
p {
  margin-bottom: 20px;
  text-align: justify;
}
a {
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
ul {
  margin-bottom: 20px;
  padding-left: 15px;
}
ul li {
  list-style: disc;
  margin-bottom: 5px;
}
ul.mb-large li {
  margin-bottom: 20px;
}
strong {
  font-weight: 800;
}
section {
  padding: 50px 0px;
}
section.light {
  background: #fff;
  border-bottom: 1px solid #efefef;
  border-top: 1px solid #efefef;
}
section a {
  color: #038494;
}
section.dark {
  background: #222 url(../_images/coding_low_op.png) 0px 0px repeat;
  background-size: 325px;
  color: #fff;
}
/* Special Classes */
.float-left {
  float: left;
  padding-right: 50px;
}
.float-right {
  float: right;
}
.extramargin {
  margin-bottom: 50px;
}
/*------------------------------------*\
    Phones
\*------------------------------------*/
@media only screen and (max-width: 766px) {
  nav {
    display: none;
    margin: 0px 60px;
  }
  nav ul li {
    float: none;
    margin-left: 0px;
    text-align: center;
  }
  header {
    padding-top: 10px;
  }
  #site-name {
    clear: both;
    padding: 17px 0px;
  }
  #site-name h1 {
    font-size: 40px;
  }
  #site-name h2 {
    font-size: 18px;
  }
  p {
    text-align: left;
  }
  #show-mobile-nav {
    background: #151919 url(../_images/hamburger.png) center center no-repeat;
    background-size: 90%;
    border-radius: 4px;
    cursor: pointer;
    float: right;
    height: 45px;
    margin: 0px 10px 10px 10px;
    width: 45px;
    transition: background-color 200ms;
    -webkit-transition: background-color 200ms;
  }
  #show-mobile-nav:hover {
    background-color: #fff;
  }
}
/*------------------------------------*\
    $1. Grid Setup
\*------------------------------------*/
/* Rows */
div[class^="row"] {
  margin: 0;
  position: relative;
  clear: both;
}
div[class^="row"]:before {
  content: '';
  display: block;
}
div[class^="row"]:after {
  content: '';
  display: table;
  clear: both;
}
div.row-one {
  margin-bottom: 10px;
}
div.row-two {
  margin-bottom: 20px;
}
div.row-three {
  margin-bottom: 30px;
}
div.row-four {
  margin-bottom: 40px;
}
div.row-five {
  margin-bottom: 50px;
}
/* Containers */
.container {
  margin-left: auto;
  margin-right: auto;
  padding-left: 10px;
  padding-right: 10px;
}
/* Columns */
.col {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  margin-left: 2%;
  float: left;
}
.col.xtra-pad-left {
  padding-left: 10px;
}
.col.xtra-pad-right {
  padding-right: 10px;
}
.col:first-child,
.col.first,
.col.twelve {
  margin-left: 0;
}
.col.center {
  text-align: center;
}
/* Standard Columns */
.one {
  width: 6.5%;
}
.two {
  width: 15%;
}
.three {
  width: 23.5%;
}
.four {
  width: 32%;
}
.five {
  width: 40.5%;
}
.six {
  width: 49.0%;
}
.seven {
  width: 57.5%;
}
.eight {
  width: 66%;
}
.nine {
  width: 74.5%;
}
.ten {
  width: 83%;
}
.eleven {
  width: 91.5%;
}
.twelve {
  float: none;
  width: 100%;
}
.show-tablet,
.show-mobile {
  display: none!important;
}
/* Offset Columns */
.col:first-child.offset-one,
.offset-one {
  margin-left: 8.5%;
}
.offset-two,
.col:first-child.offset-two {
  margin-left: 17%;
}
.offset-three,
.col:first-child.offset-three {
  margin-left: 25.5%;
}
.offset-four,
.col:first-child.offset-four {
  margin-left: 34%;
}
.offset-five,
.col:first-child.offset-five {
  margin-left: 42.5%;
}
.offset-six,
.col:first-child.offset-six {
  margin-left: 51%;
}
.offset-seven,
.col:first-child.offset-seven {
  margin-left: 59.5%;
}
.offset-eight,
.col:first-child.offset-eight {
  margin-left: 68%;
}
.offset-nine,
.col:first-child.offset-nine {
  margin-left: 76.5%;
}
.offset-ten,
.col:first-child.offset-ten {
  margin-left: 85%;
}
.offset-eleven,
.col:first-child.offset-eleven {
  margin-left: 93.5%;
}
/*------------------------------------*\
    $2. Large Screens
\*------------------------------------*/
@media (min-width: 1200px) {
  .container {
    width: 1180px;
  }
  #content {
    min-height: 600px;
  }
  .no-desktop {
    display: none!important;
  }
}
/*------------------------------------*\
    $3. Medium Screens
\*------------------------------------*/
@media (min-width: 960px) and (max-width: 1199px) {
  .no-desktop {
    display: none!important;
  }
}
/*------------------------------------*\
    $4. Tablets
\*------------------------------------*/
@media only screen and (min-width: 767px) and (max-width: 959px) {
  /* Tablet Containers */
  .container,
  .container-flexible {
    box-sizing: border-box;
    width: 100%;
    padding-left: 20px;
    padding-right: 20px;
  }
  /* Tablet Standard Columns */
  .tablet-one {
    width: 6.5%;
  }
  .tablet-two {
    width: 15%;
  }
  .tablet-three {
    width: 23.5%;
  }
  .tablet-four {
    width: 32%;
  }
  .tablet-five {
    width: 40.5%;
  }
  .tablet-six {
    width: 49.0%;
  }
  .tablet-seven {
    width: 57.5%;
  }
  .tablet-eight {
    width: 66%;
  }
  .tablet-nine {
    width: 74.5%;
  }
  .tablet-ten {
    width: 83%;
  }
  .tablet-eleven {
    width: 91.5%;
  }
  .tablet-twelve {
    width: 100%;
  }
  .col.tablet-full {
    clear: both;
    display: block!important;
    float: none;
    width: 100%;
    margin: 10px 0 0 0!important;
  }
  .col.tablet-full.xtra-pad-left {
    padding-left: 0px;
  }
  .col.tablet-full.xtra-pad-right {
    padding-right: 0px;
  }
  .tablet-full:first-child {
    margin-top: 0;
  }
  /* Tablet Offest Columns */
  .tablet-offset-one {
    margin-left: 8.5%;
  }
  .tablet-offset-two {
    margin-left: 17%;
  }
  .tablet-offset-three {
    margin-left: 25.5%;
  }
  .tablet-offset-four {
    margin-left: 34%;
  }
  .tablet-offset-five {
    margin-left: 42.5%;
  }
  .tablet-offset-six {
    margin-left: 51%;
  }
  .tablet-offset-seven {
    margin-left: 59.5%;
  }
  .tablet-offset-eight {
    margin-left: 68%;
  }
  .tablet-offset-nine {
    margin-left: 76.5%;
  }
  .tablet-offset-ten {
    margin-left: 85%;
  }
  .tablet-offset-eleven {
    margin-left: 93.5%;
  }
  .col:first-child.tablet-offset-zero,
  .tablet-offset-zero {
    margin-left: 0!important;
  }
  /* Tablet-Specific Classes */
  .tablet-center {
    margin-left: auto;
    margin-right: auto;
    float: none;
  }
  .tablet-center:first-child {
    margin-left: auto;
  }
  .tablet-center-text {
    text-align: center;
  }
  .tablet-left {
    float: left;
  }
  .tablet-right {
    float: right;
  }
  .tablet-no-float {
    float: none;
  }
  .no-tablet,
  .show-mobile,
  .show-desktop {
    display: none!important;
  }
  .show-tablet {
    display: block!important;
  }
}
/*------------------------------------*\
    $5. Phones
\*------------------------------------*/
@media only screen and (max-width: 766px) {
  /* Mobile Containers */
  .container,
  .container-flexible {
    box-sizing: border-box;
    padding-left: 20px;
    padding-right: 20px;
    width: 100%;
  }
  /* Mobile Standard Columns */
  .mobile-one {
    width: 6.5%;
  }
  .mobile-two {
    width: 15%;
  }
  .mobile-three {
    width: 23.5%;
  }
  .mobile-four {
    width: 32%;
  }
  .mobile-five {
    width: 40.5%;
  }
  .mobile-six {
    width: 49.0%;
  }
  .mobile-seven {
    width: 57.5%;
  }
  .mobile-eight {
    width: 66%;
  }
  .mobile-nine {
    width: 74.5%;
  }
  .mobile-ten {
    width: 83%;
  }
  .mobile-eleven {
    width: 91.5%;
  }
  .mobile-twelve {
    width: 100%;
  }
  .col.mobile-full {
    clear: both;
    display: block;
    float: none;
    width: 100%;
    margin: 10px 0 0 0!important;
  }
  .col.mobile-full.xtra-pad-left {
    padding-left: 0px;
  }
  .col.mobile-full.xtra-pad-right {
    padding-right: 0px;
  }
  .mobile-full:first-child {
    margin-top: 0;
  }
  /* Mobile-Specific Classes */
  .mobile-center {
    margin-left: auto;
    margin-right: auto;
    float: none;
  }
  .mobile-center:first-child {
    margin-left: auto;
  }
  .mobile-center-text {
    text-align: center;
  }
  .mobile-left {
    float: left;
  }
  .mobile-right {
    float: right;
  }
  .mobile-no-float {
    float: none;
  }
  .no-mobile,
  .show-tablet,
  .show-desktop {
    display: none!important;
  }
  .show-mobile {
    display: block!important;
  }
  .mobile-first {
    margin-left: 0;
  }
  /* Mobile Offset Columns */
  .mobile-offset-one {
    margin-left: 8.5%;
  }
  .mobile-offset-two {
    margin-left: 17%;
  }
  .mobile-offset-three {
    margin-left: 25.5%;
  }
  .mobile-offset-four {
    margin-left: 34%;
  }
  .mobile-offset-five {
    margin-left: 42.5%;
  }
  .mobile-offset-six {
    margin-left: 51%;
  }
  .mobile-offset-seven {
    margin-left: 59.5%;
  }
  .mobile-offset-eight {
    margin-left: 68%;
  }
  .mobile-offset-nine {
    margin-left: 76.5%;
  }
  .mobile-offset-ten {
    margin-left: 85%;
  }
  .mobile-offset-eleven {
    margin-left: 93.5%;
  }
  .col:first-child.mobile-offset-zero[class*="offset"],
  .mobile-offset-zero {
    margin-left: 0;
  }
}
